diff --git a/pki/base/common/src/com/netscape/cmscore/crmf/CRMFParser.java b/pki/base/common/src/com/netscape/cmscore/crmf/CRMFParser.java
index 962b02a9d5b3acc3829a9088f83f0f33586a19ab..b42bc00f94f74ee5edc30212bb42ea6d721aeb77 100644
--- a/pki/base/common/src/com/netscape/cmscore/crmf/CRMFParser.java
+++ b/pki/base/common/src/com/netscape/cmscore/crmf/CRMFParser.java
@@ -48,7 +48,7 @@ public class CRMFParser {
      */
     public static PKIArchiveOptionsContainer[]
             getPKIArchiveOptions(String crmfBlob) throws IOException {
-        Vector options = new Vector();
+        Vector<PKIArchiveOptionsContainer> options = new Vector<PKIArchiveOptionsContainer>();
 
         byte[] crmfBerBlob = null;
 
diff --git a/pki/base/common/src/com/netscape/cmscore/dbs/CRLRepository.java b/pki/base/common/src/com/netscape/cmscore/dbs/CRLRepository.java
index f9c4369a29236168f053304cb74fcbfe1f28f0cb..d1d0fd35534399e5143ce9a3c8742a717c36f436 100644
--- a/pki/base/common/src/com/netscape/cmscore/dbs/CRLRepository.java
+++ b/pki/base/common/src/com/netscape/cmscore/dbs/CRLRepository.java
@@ -27,7 +27,6 @@ import netscape.security.x509.RevokedCertificate;
 import com.netscape.certsrv.apps.CMS;
 import com.netscape.certsrv.base.EBaseException;
 import com.netscape.certsrv.dbs.EDBException;
-import com.netscape.certsrv.dbs.IDBRegistry;
 import com.netscape.certsrv.dbs.IDBSSession;
 import com.netscape.certsrv.dbs.IDBSearchResults;
 import com.netscape.certsrv.dbs.IDBSubsystem;
@@ -59,9 +58,8 @@ public class CRLRepository extends Repository implements ICRLRepository {
         mBaseDN = baseDN;
         mDBService = dbService;
 
-        IDBRegistry reg = dbService.getRegistry();
-
         /**
+         * IDBRegistry reg = dbService.getRegistry();
          * String crlRecordOC[] = new String[1];
          * crlRecordOC[0] = Schema.LDAP_OC_CRL_RECORD;
          * reg.registerObjectClass(CRLIssuingPointRecord.class.getName(),
diff --git a/pki/base/common/src/com/netscape/cmscore/dbs/CertificateRepository.java b/pki/base/common/src/com/netscape/cmscore/dbs/CertificateRepository.java
index ae77330fc5f6c4c0e365b19d22dbb97777dda52c..0df563cad430be35898651a34162f67efd74c0b5 100644
--- a/pki/base/common/src/com/netscape/cmscore/dbs/CertificateRepository.java
+++ b/pki/base/common/src/com/netscape/cmscore/dbs/CertificateRepository.java
@@ -1535,8 +1535,6 @@ public class CertificateRepository extends Repository
     public ICertRecordList getInvalidCertsByNotBeforeDate(Date date, int pageSize)
             throws EBaseException {
 
-        Date rightNow = CMS.getCurrentDate();
-
         ICertRecordList list = null;
         IDBSSession s = mDBService.createSession();
 
diff --git a/pki/base/common/src/com/netscape/cmscore/dbs/DBSSession.java b/pki/base/common/src/com/netscape/cmscore/dbs/DBSSession.java
index 7201f61e7f72f4fac9bb3fd53b2124fbb35af060..ddc9f1874092682d96e179829d7d0443f14b6c83 100644
--- a/pki/base/common/src/com/netscape/cmscore/dbs/DBSSession.java
+++ b/pki/base/common/src/com/netscape/cmscore/dbs/DBSSession.java
@@ -263,6 +263,7 @@ public class DBSSession implements IDBSSession {
         return search(base, filter, null);
     }
 
+    @SuppressWarnings("unchecked")
     public IDBSearchResults search(String base, String filter, int maxSize)
             throws EBaseException {
         try {
@@ -290,6 +291,7 @@ public class DBSSession implements IDBSSession {
         }
     }
 
+    @SuppressWarnings("unchecked")
     public IDBSearchResults search(String base, String filter, int maxSize, int timeLimit)
             throws EBaseException {
         try {
@@ -322,6 +324,7 @@ public class DBSSession implements IDBSSession {
      * Retrieves a list of object that satifies the given
      * filter.
      */
+    @SuppressWarnings("unchecked")
     public IDBSearchResults search(String base, String filter,
             String attrs[]) throws EBaseException {
         try {
@@ -458,13 +461,13 @@ public class DBSSession implements IDBSSession {
     /**
      * Retrieves a list of objects.
      */
-    public IDBVirtualList<?> createVirtualList(String base, String filter,
+    public IDBVirtualList<Object> createVirtualList(String base, String filter,
             String attrs[], String sortKey, int pageSize) throws EBaseException {
         return new DBVirtualList<Object>(mDBSystem.getRegistry(), mConn, base,
                 filter, attrs, sortKey, pageSize);
     }
 
-    public IDBVirtualList<?> createVirtualList(String base, String filter,
+    public IDBVirtualList<Object> createVirtualList(String base, String filter,
             String attrs[], String startFrom, String sortKey, int pageSize) throws EBaseException {
         return new DBVirtualList<Object>(mDBSystem.getRegistry(), mConn, base,
                 filter, attrs, startFrom, sortKey, pageSize);
diff --git a/pki/base/common/src/com/netscape/cmscore/dbs/DBSubsystem.java b/pki/base/common/src/com/netscape/cmscore/dbs/DBSubsystem.java
index 4adb17dd868bf12a738f43d208e30722895d9869..4bc5b64711415365075b3866ef0952e5c8cd1cb1 100644
--- a/pki/base/common/src/com/netscape/cmscore/dbs/DBSubsystem.java
+++ b/pki/base/common/src/com/netscape/cmscore/dbs/DBSubsystem.java
@@ -526,6 +526,7 @@ public class DBSubsystem implements IDBSubsystem {
      * applications can use. Optionally, check the integrity
      * of the database.
      */
+    @SuppressWarnings("unchecked")
     public void init(ISubsystem owner, IConfigStore config)
             throws EBaseException {
 
diff --git a/pki/base/common/src/com/netscape/cmscore/dbs/Repository.java b/pki/base/common/src/com/netscape/cmscore/dbs/Repository.java
index b89f388ceec8d5c47323bea3db2e2d1d21a6d3fc..67e1d12c6cca0ac46eb9270658e90d5f56a389ef 100644
--- a/pki/base/common/src/com/netscape/cmscore/dbs/Repository.java
+++ b/pki/base/common/src/com/netscape/cmscore/dbs/Repository.java
@@ -23,7 +23,6 @@ import com.netscape.certsrv.apps.CMS;
 import com.netscape.certsrv.base.EBaseException;
 import com.netscape.certsrv.dbs.EDBException;
 import com.netscape.certsrv.dbs.IDBObj;
-import com.netscape.certsrv.dbs.IDBRegistry;
 import com.netscape.certsrv.dbs.IDBSSession;
 import com.netscape.certsrv.dbs.IDBSubsystem;
 import com.netscape.certsrv.dbs.Modification;
@@ -90,10 +89,8 @@ public abstract class Repository implements IRepository {
 
         BI_INCREMENT = new BigInteger(Integer.toString(increment));
 
-        // register schema
-        IDBRegistry reg = db.getRegistry();
-
         /**
+         * IDBRegistry reg = db.getRegistry();
          * if (!reg.isObjectClassRegistered(
          * RepositoryRecord.class.getName())) {
          * String repRecordOC[] = new String[2];
@@ -256,7 +253,6 @@ public abstract class Repository implements IRepository {
      */
     private void initCache() throws EBaseException {
         mNext = getSerialNumber();
-        BigInteger serialConfig = new BigInteger("0");
         mRadix = 10;
 
         CMS.debug("Repository: in InitCache");
diff --git a/pki/base/common/src/com/netscape/cmscore/ldap/LdapPredicateParser.java b/pki/base/common/src/com/netscape/cmscore/ldap/LdapPredicateParser.java
index a752c1e2906b6c6ffd138f860463661d75fe5b28..469ba62a0257a4d0d17d949a048ce03a0feefb46 100644
--- a/pki/base/common/src/com/netscape/cmscore/ldap/LdapPredicateParser.java
+++ b/pki/base/common/src/com/netscape/cmscore/ldap/LdapPredicateParser.java
@@ -68,8 +68,6 @@ public class LdapPredicateParser {
         // The first token cannot be an operator. We are not dealing with
         // reverse-polish notation.
         String token = pt.nextToken();
-        boolean opANDSeen;
-        boolean opORSeen;
 
         if (getOP(token) != EXPRESSION) {
             if (Debug.ON)
@@ -78,7 +76,7 @@ public class LdapPredicateParser {
         }
         ILdapExpression current = parseExpression(token);
         boolean malformed = false;
-        Vector expSet = new Vector();
+        Vector<ILdapExpression> expSet = new Vector<ILdapExpression>();
         int prevType = EXPRESSION;
 
         while (pt.hasMoreTokens()) {
@@ -156,7 +154,7 @@ public class LdapPredicateParser {
         if (commaIndex < 0)
             return LdapSimpleExpression.parse(input);
         int currentIndex = 0;
-        Vector expVector = new Vector();
+        Vector<LdapSimpleExpression> expVector = new Vector<LdapSimpleExpression>();
 
         while (commaIndex > 0) {
             LdapSimpleExpression exp = (LdapSimpleExpression)
diff --git a/pki/base/common/src/com/netscape/cmscore/ldap/PublisherProcessor.java b/pki/base/common/src/com/netscape/cmscore/ldap/PublisherProcessor.java
index 147eee07e9466b47afbc34960b983178ab8daf04..453703443c7bf9f006825c05aef550fd8f0bb193 100644
--- a/pki/base/common/src/com/netscape/cmscore/ldap/PublisherProcessor.java
+++ b/pki/base/common/src/com/netscape/cmscore/ldap/PublisherProcessor.java
@@ -49,7 +49,6 @@ import com.netscape.certsrv.publish.ILdapPublisher;
 import com.netscape.certsrv.publish.ILdapRule;
 import com.netscape.certsrv.publish.IPublisherProcessor;
 import com.netscape.certsrv.publish.IXcertPublisherProcessor;
-import com.netscape.certsrv.publish.LdapCertMapResult;
 import com.netscape.certsrv.publish.MapperPlugin;
 import com.netscape.certsrv.publish.MapperProxy;
 import com.netscape.certsrv.publish.PublisherPlugin;
@@ -786,7 +785,6 @@ public class PublisherProcessor implements
             ruleInst = (ILdapRule)
                     Class.forName(className).newInstance();
             Vector<String> v = ruleInst.getInstanceParams();
-            IConfigStore rc = ruleInst.getConfigStore();
 
             return v;
         } catch (InstantiationException e) {
@@ -1324,8 +1322,6 @@ public class PublisherProcessor implements
             Object dirdn = null;
 
             if (mapper != null) {
-                LdapCertMapResult result = null;
-
                 if (mLdapConnModule != null) {
                     try {
                         conn = mLdapConnModule.getConn();
@@ -1394,8 +1390,6 @@ public class PublisherProcessor implements
             String dirdn = null;
 
             if (mapper != null) {
-                LdapCertMapResult result = null;
-
                 if (mLdapConnModule != null) {
                     conn = mLdapConnModule.getConn();
                 }
@@ -1439,8 +1433,6 @@ public class PublisherProcessor implements
             String dirdn = null;
 
             if (mapper != null) {
-                LdapCertMapResult result = null;
-
                 if (mLdapConnModule != null) {
                     conn = mLdapConnModule.getConn();
                 }
diff --git a/pki/base/common/src/com/netscape/cmscore/logging/LogQueue.java b/pki/base/common/src/com/netscape/cmscore/logging/LogQueue.java
index 6ed38a6996ccfde7731cbb6723b5bbccb8f93f40..90ca05d817c9487d713882cd0f9e89254cc2c5c7 100644
--- a/pki/base/common/src/com/netscape/cmscore/logging/LogQueue.java
+++ b/pki/base/common/src/com/netscape/cmscore/logging/LogQueue.java
@@ -34,7 +34,7 @@ import com.netscape.certsrv.logging.ILogQueue;
 public class LogQueue implements ILogQueue {
 
     private static LogQueue mLogQueue = new LogQueue();
-    protected Vector mListeners = null;
+    protected Vector<ILogEventListener> mListeners = null;
 
     /**
      * Constructs a log queue.
@@ -52,7 +52,7 @@ public class LogQueue implements ILogQueue {
      * 
      */
     public void init() {
-        mListeners = new Vector();
+        mListeners = new Vector<ILogEventListener>();
 
     }
 
diff --git a/pki/base/common/src/com/netscape/cmscore/notification/EmailFormProcessor.java b/pki/base/common/src/com/netscape/cmscore/notification/EmailFormProcessor.java
index 54a92f7231d218c2ea32be86b0bf15fbab25c3dd..a057484cf59adefeede7ad323b412d6df6faa24b 100644
--- a/pki/base/common/src/com/netscape/cmscore/notification/EmailFormProcessor.java
+++ b/pki/base/common/src/com/netscape/cmscore/notification/EmailFormProcessor.java
@@ -193,7 +193,6 @@ public class EmailFormProcessor implements IEmailFormProcessor {
                 // -- for bug 382162, don't remove the following line, in
                 //	 case John changes his mind for the better
                 //				mContent.add(TOK_PREFIX+t);
-                int tl = token_keys.length;
 
                 for (int i = 0; i < token_keys.length; i++) {
                     if (t.startsWith(token_keys[i])) {
diff --git a/pki/base/common/src/com/netscape/cmscore/policy/PolicyPredicateParser.java b/pki/base/common/src/com/netscape/cmscore/policy/PolicyPredicateParser.java
index 4046c789f532fe340221ed0dcc28c3907dd8d20f..6c73bcb967646a46f9cbb0f0502b41595cdc6910 100644
--- a/pki/base/common/src/com/netscape/cmscore/policy/PolicyPredicateParser.java
+++ b/pki/base/common/src/com/netscape/cmscore/policy/PolicyPredicateParser.java
@@ -68,8 +68,6 @@ public class PolicyPredicateParser {
         // The first token cannot be an operator. We are not dealing with
         // reverse-polish notation.
         String token = pt.nextToken();
-        boolean opANDSeen;
-        boolean opORSeen;
 
         if (getOP(token) != EXPRESSION) {
             if (Debug.ON)
@@ -78,7 +76,7 @@ public class PolicyPredicateParser {
         }
         IExpression current = parseExpression(token);
         boolean malformed = false;
-        Vector expSet = new Vector();
+        Vector<IExpression> expSet = new Vector<IExpression>();
         int prevType = EXPRESSION;
 
         while (pt.hasMoreTokens()) {
@@ -156,7 +154,7 @@ public class PolicyPredicateParser {
         if (commaIndex < 0)
             return SimpleExpression.parse(input);
         int currentIndex = 0;
-        Vector expVector = new Vector();
+        Vector<SimpleExpression> expVector = new Vector<SimpleExpression>();
 
         while (commaIndex > 0) {
             SimpleExpression exp = (SimpleExpression)
diff --git a/pki/base/common/src/com/netscape/cmscore/profile/ProfileSubsystem.java b/pki/base/common/src/com/netscape/cmscore/profile/ProfileSubsystem.java
index 2435fa462a80b5fdcc17cad84e5e9f6e2822c052..585af5600ace2e582d44f9707e64a44a43b606f0 100644
--- a/pki/base/common/src/com/netscape/cmscore/profile/ProfileSubsystem.java
+++ b/pki/base/common/src/com/netscape/cmscore/profile/ProfileSubsystem.java
@@ -98,7 +98,7 @@ public class ProfileSubsystem implements IProfileSubsystem {
             String configPath = subStore.getString(PROP_CONFIG);
 
             CMS.debug("Start Profile Creation - " + id + " " + classid + " " + info.getClassName());
-            IProfile profile = createProfile(id, classid, info.getClassName(),
+            createProfile(id, classid, info.getClassName(),
                     configPath);
 
             CMS.debug("Done Profile Creation - " + id);
diff --git a/pki/base/common/src/com/netscape/cmscore/request/ARequestQueue.java b/pki/base/common/src/com/netscape/cmscore/request/ARequestQueue.java
index 0e252f523ab1d5f96e114fb9f02cd803a090f607..16db3985c55e5c0aebfe2c127de3d4a7142b4f2b 100644
--- a/pki/base/common/src/com/netscape/cmscore/request/ARequestQueue.java
+++ b/pki/base/common/src/com/netscape/cmscore/request/ARequestQueue.java
@@ -902,7 +902,6 @@ class Request
         return true;
     }
 
-    @SuppressWarnings("unchecked")
     public boolean setExtData(String key, Hashtable<String, String> value) {
         if (!(isValidExtDataKey(key) && isValidExtDataHashtableValue(value))) {
             return false;
diff --git a/pki/base/common/src/com/netscape/cmscore/security/KeyCertUtil.java b/pki/base/common/src/com/netscape/cmscore/security/KeyCertUtil.java
index 20cdae8326786ea3974e33b0b3d47f7becdcce8d..2a9afb8685a4c6a983d953ea562a7d0b5e4d5ae3 100644
--- a/pki/base/common/src/com/netscape/cmscore/security/KeyCertUtil.java
+++ b/pki/base/common/src/com/netscape/cmscore/security/KeyCertUtil.java
@@ -485,7 +485,6 @@ public class KeyCertUtil {
             SEQUENCE seq = (SEQUENCE) ASN1Util.decode(outerSeq, pubkBytes);
 
             BIT_STRING bs = (BIT_STRING) seq.elementAt(1);
-            byte[] bits = bs.getBits();
             ByteArrayInputStream bitstream = new ByteArrayInputStream(bs.getBits());
             ASN1Header wrapper = new ASN1Header(bitstream);
             byte[] valBytes = new byte[(int) wrapper.getContentLength()];
diff --git a/pki/base/common/src/com/netscape/cmscore/security/PWCBsdr.java b/pki/base/common/src/com/netscape/cmscore/security/PWCBsdr.java
index 49c84d5267409ecc857b70fccc7df159f4810ea4..32a0e90ed6bfbc36ffb4b00a72d8a2dcd61082be 100644
--- a/pki/base/common/src/com/netscape/cmscore/security/PWCBsdr.java
+++ b/pki/base/common/src/com/netscape/cmscore/security/PWCBsdr.java
@@ -151,9 +151,7 @@ public class PWCBsdr implements PasswordCallback {
 
                 if (pw != null) {
                     CMS.debug("non-null password returned in first attempt");
-                    String tmp = new String(pw.getCharCopy());
-
-                    return (pw);
+                    return pw;
                 } else { /* password not found */
                     // we don't want caller to do getPasswordAgain,    for now
                     log(ILogger.LL_FAILURE, CMS.getLogMessage("CMSCORE_SECURITY_THROW_CALLBACK"));
diff --git a/pki/base/common/src/com/netscape/cmscore/usrgrp/UGSubsystem.java b/pki/base/common/src/com/netscape/cmscore/usrgrp/UGSubsystem.java
index 6796a332272133cca366373171c40e5d795605fd..a4c4d6854de18c352636580c772f3dacaffa2575 100644
--- a/pki/base/common/src/com/netscape/cmscore/usrgrp/UGSubsystem.java
+++ b/pki/base/common/src/com/netscape/cmscore/usrgrp/UGSubsystem.java
@@ -1511,7 +1511,6 @@ public final class UGSubsystem implements IUGSubsystem {
         try {
             LDAPAttribute attrMembers = new LDAPAttribute("uniquemember");
             LDAPModificationSet mod = new LDAPModificationSet();
-            String st = null;
 
             String desc = grp.getDescription();
 
diff --git a/pki/base/common/src/com/netscape/cmscore/util/Debug.java b/pki/base/common/src/com/netscape/cmscore/util/Debug.java
index 66e316c11d9eefcafcb89765f0d573196251c93e..8c41d5bb5ab7381263c716a3a3d9832591beeadf 100644
--- a/pki/base/common/src/com/netscape/cmscore/util/Debug.java
+++ b/pki/base/common/src/com/netscape/cmscore/util/Debug.java
@@ -40,15 +40,15 @@ public class Debug
        so I create a thread-local DateFormatter for each thread
      */
     private static String DATE_PATTERN = "dd/MMM/yyyy:HH:mm:ss";
-    private static ThreadLocal mFormatObject = new ThreadLocal() {
-        protected synchronized Object initialValue() {
+    private static ThreadLocal<SimpleDateFormat> mFormatObject = new ThreadLocal<SimpleDateFormat>() {
+        protected synchronized SimpleDateFormat initialValue() {
             return new SimpleDateFormat(DATE_PATTERN);
         }
     };
 
     /* the dateformatter should be accessed with this function */
     private static SimpleDateFormat getDateFormatter() {
-        return ((SimpleDateFormat) (mFormatObject.get()));
+        return mFormatObject.get();
     }
 
     public static final boolean ON = false;
diff --git a/pki/base/common/src/com/netscape/cmscore/util/FileAsString.java b/pki/base/common/src/com/netscape/cmscore/util/FileAsString.java
index 27d5b6c7983cd132f29b13269a40e53cef59cc84..7853346f5c723c54a1757bc6de99da8f280c1061 100644
--- a/pki/base/common/src/com/netscape/cmscore/util/FileAsString.java
+++ b/pki/base/common/src/com/netscape/cmscore/util/FileAsString.java
@@ -50,7 +50,7 @@ public class FileAsString {
     private void readFile()
             throws IOException {
         BufferedReader br = createBufferedReader(mFilename);
-        StringBuffer buf = new StringBuffer("");
+        StringBuffer buf = new StringBuffer();
         int bytesread = 0;
 
         do {
@@ -60,7 +60,6 @@ public class FileAsString {
             if (bytesread > 0) {
                 buf.append(cbuf, 0, bytesread);
             }
-            String s = new String(buf);
         } while (bytesread != -1);
         br.close();
 
diff --git a/pki/base/common/src/com/netscape/cmscore/util/FileDialogFilter.java b/pki/base/common/src/com/netscape/cmscore/util/FileDialogFilter.java
index 454c3c8db4680fbb5e539c50ae85683e2eadb373..eb1d1097a4746bf2c9942f0346ba79262b608218 100644
--- a/pki/base/common/src/com/netscape/cmscore/util/FileDialogFilter.java
+++ b/pki/base/common/src/com/netscape/cmscore/util/FileDialogFilter.java
@@ -63,7 +63,6 @@ public class FileDialogFilter implements FilenameFilter {
      */
     boolean searchPattern(String fileName, String filter) {
         int filterCursor = 0;
-        int fileNameCursor = 0;
 
         int filterChar = filter.charAt(filterCursor);
 
diff --git a/pki/base/common/src/com/netscape/cmscore/util/ProfileSubsystem.java b/pki/base/common/src/com/netscape/cmscore/util/ProfileSubsystem.java
index 3ee2d3ab4511599f0d9ee3e5f77f90e4a13235a3..caf05c6df7fb2e8be19426add4ffb230cc17389e 100644
--- a/pki/base/common/src/com/netscape/cmscore/util/ProfileSubsystem.java
+++ b/pki/base/common/src/com/netscape/cmscore/util/ProfileSubsystem.java
@@ -165,12 +165,12 @@ public class ProfileSubsystem extends Frame implements ISubsystem, Runnable {
 
     public void updateThreadPanel() {
         Thread currentThread = Thread.currentThread();
-        Vector data = new Vector();
+        Vector<Vector<String>> data = new Vector<Vector<String>>();
         Thread threads[] = new Thread[100];
         int numThreads = Thread.enumerate(threads);
 
         for (int i = 0; i < numThreads; i++) {
-            Vector row = new Vector();
+            Vector<String> row = new Vector<String>();
 
             row.addElement(threads[i].getName());
             row.addElement(threads[i].getThreadGroup().getName());
@@ -185,7 +185,7 @@ public class ProfileSubsystem extends Frame implements ISubsystem, Runnable {
             data.addElement(row);
         }
 
-        Vector colNames = new Vector();
+        Vector<String> colNames = new Vector<String>();
 
         colNames.addElement("Name");
         colNames.addElement("Group");
@@ -220,13 +220,13 @@ class ThreadTableModel extends AbstractTableModel {
      *
      */
     private static final long serialVersionUID = -6977965542104110870L;
-    Vector rowData;
-    Vector columnNames;
+    Vector<Vector<String>> rowData;
+    Vector<String> columnNames;
 
     public ThreadTableModel() {
     }
 
-    public void setInfo(Vector _rowData, Vector _columnNames) {
+    public void setInfo(Vector<Vector<String>> _rowData, Vector<String> _columnNames) {
         rowData = _rowData;
         columnNames = _columnNames;
     }
@@ -243,16 +243,16 @@ class ThreadTableModel extends AbstractTableModel {
         return columnNames.size();
     }
 
-    public Object getValueAt(int row, int column) {
-        return ((Vector) rowData.elementAt(row)).elementAt(column);
+    public String getValueAt(int row, int column) {
+        return rowData.elementAt(row).elementAt(column);
     }
 
     public boolean isCellEditable(int row, int column) {
         return false;
     }
 
-    public void setValueAt(Object value, int row, int column) {
-        ((Vector) rowData.elementAt(row)).setElementAt(value, column);
+    public void setValueAt(String value, int row, int column) {
+        rowData.elementAt(row).setElementAt(value, column);
         fireTableCellUpdated(row, column);
     }
 }
diff --git a/pki/base/common/test/com/netscape/certsrv/request/AgentApprovalsTest.java b/pki/base/common/test/com/netscape/certsrv/request/AgentApprovalsTest.java
index 8770dca2bb9d9fb827f77c9cf04021a85e364464..e7606951dca0086ce9610b2388733e6b4f56981b 100644
--- a/pki/base/common/test/com/netscape/certsrv/request/AgentApprovalsTest.java
+++ b/pki/base/common/test/com/netscape/certsrv/request/AgentApprovalsTest.java
@@ -61,19 +61,19 @@ public class AgentApprovalsTest extends CMSBaseTestCase {
         assertEquals(approval3.getDate(), approval.getDate());
 
         // test bad data
-        stringVector = new Vector();
+        stringVector = new Vector<String>();
         stringVector.add("foo");
         assertNull(AgentApprovals.fromStringVector(stringVector));
 
-        stringVector = new Vector();
+        stringVector = new Vector<String>();
         stringVector.add(";foo");
         assertNull(AgentApprovals.fromStringVector(stringVector));
 
-        stringVector = new Vector();
+        stringVector = new Vector<String>();
         stringVector.add("bar;foo");
         assertNull(AgentApprovals.fromStringVector(stringVector));
 
-        stringVector = new Vector();
+        stringVector = new Vector<String>();
         stringVector.add("00123b;foo");
         assertNull(AgentApprovals.fromStringVector(stringVector));
 
diff --git a/pki/base/common/test/com/netscape/cmscore/request/RequestTest.java b/pki/base/common/test/com/netscape/cmscore/request/RequestTest.java
index b396c2d3572a0363e9fbd767affab88ffef455a4..5832f6af516fe0e175ecbea0b3e68ee2625eb18d 100644
--- a/pki/base/common/test/com/netscape/cmscore/request/RequestTest.java
+++ b/pki/base/common/test/com/netscape/cmscore/request/RequestTest.java
@@ -91,7 +91,6 @@ public class RequestTest extends CMSBaseTestCase {
         assertFalse(request.setExtData("key", (String) null));
     }
 
-    @SuppressWarnings({ "rawtypes", "unchecked" })
     public void testVerifyValidExtDataHashtable() {
         Hashtable<String, String> valueHash = new Hashtable<String, String>();
 
diff --git a/pki/base/java-tools/src/com/netscape/cmstools/CMCResponse.java b/pki/base/java-tools/src/com/netscape/cmstools/CMCResponse.java
index 21e3b418700a1581ab20af9449e8cadbee818f8c..4d68dd15112b881ed35458051013bc2aaa737eea 100644
--- a/pki/base/java-tools/src/com/netscape/cmstools/CMCResponse.java
+++ b/pki/base/java-tools/src/com/netscape/cmstools/CMCResponse.java
@@ -140,8 +140,6 @@ public class CMCResponse {
                                 System.out.println("   OtherInfo type: PEND");
                                 PendInfo pi = oi.getPendInfo();
                                 if (pi.getPendTime() != null) {
-                                    byte[] bp = pi.getPendToken().toByteArray();
-                                    String pt = new String(bp);
                                     String datePattern = "dd/MMM/yyyy:HH:mm:ss z";
                                     SimpleDateFormat dateFormat = new SimpleDateFormat(datePattern);
                                     Date d = pi.getPendTime().toDate();
diff --git a/pki/base/java-tools/src/com/netscape/cmstools/CRMFPopClient.java b/pki/base/java-tools/src/com/netscape/cmstools/CRMFPopClient.java
index 22ebd6715428061f6d281942dd7ab77f4170077d..ea427ff7cf899b9896d6b1c59c7893d2c5ee4407 100644
--- a/pki/base/java-tools/src/com/netscape/cmstools/CRMFPopClient.java
+++ b/pki/base/java-tools/src/com/netscape/cmstools/CRMFPopClient.java
@@ -29,7 +29,6 @@ import java.net.URLEncoder;
 import java.security.KeyPair;
 import java.security.MessageDigest;
 import java.security.NoSuchAlgorithmException;
-import java.util.Date;
 
 import netscape.security.x509.X500Name;
 
@@ -261,7 +260,6 @@ public class CRMFPopClient {
         URLConnection conn = null;
         InputStream is = null;
         BufferedReader reader = null;
-        long total_time = 0;
         KeyPair pair = null;
 
         boolean foundTransport = false;
@@ -419,7 +417,6 @@ public class CRMFPopClient {
                 certReq.encode(bo);
                 byte[] toBeVerified = bo.toByteArray();
 
-                byte popdata[] = ASN1Util.encode(certReq);
                 byte signature[];
 
                 System.out.println("."); //CertRequest encoded");
@@ -505,7 +502,6 @@ public class CRMFPopClient {
                 System.out.println("--------------------");
                 System.out.println("");
 
-                long start_time = (new Date()).getTime();
                 conn = url.openConnection();
                 is = conn.getInputStream();
                 reader = new BufferedReader(new InputStreamReader(is));
@@ -517,8 +513,7 @@ public class CRMFPopClient {
                         System.out.println("");
                     }
                 } /* while */
-                long end_time = (new Date()).getTime();
-                total_time += (end_time - start_time);
+
             } catch (Exception e) {
                 System.out.println("WARNING: " + e.toString());
                 e.printStackTrace();
diff --git a/pki/base/java-tools/src/com/netscape/cmstools/HttpClient.java b/pki/base/java-tools/src/com/netscape/cmstools/HttpClient.java
index e98847611d907a9694a4a441e7118d3171027207..c8817b52f687917f62466c5c5ea3b9bb5b005354 100644
--- a/pki/base/java-tools/src/com/netscape/cmstools/HttpClient.java
+++ b/pki/base/java-tools/src/com/netscape/cmstools/HttpClient.java
@@ -34,7 +34,6 @@ import java.net.SocketException;
 import java.util.StringTokenizer;
 
 import org.mozilla.jss.CryptoManager;
-import org.mozilla.jss.crypto.CryptoStore;
 import org.mozilla.jss.crypto.CryptoToken;
 import org.mozilla.jss.crypto.X509Certificate;
 import org.mozilla.jss.ssl.SSLHandshakeCompletedEvent;
@@ -145,7 +144,6 @@ public class HttpClient {
                     CryptoToken token = cm.getInternalKeyStorageToken();
                     Password pass = new Password(password.toCharArray());
                     token.login(pass);
-                    CryptoStore store = token.getCryptoStore();
                     X509Certificate cert = cm.findCertByNickname(nickname);
                     if (cert == null)
                         System.out.println("client cert is null");
diff --git a/pki/base/java-tools/src/com/netscape/cmstools/OCSPClient.java b/pki/base/java-tools/src/com/netscape/cmstools/OCSPClient.java
index d127fd99aa4a8f3128378044ec05af4cc92439cc..5b9abe49584c512ed35b747556784de2aa605e40 100644
--- a/pki/base/java-tools/src/com/netscape/cmstools/OCSPClient.java
+++ b/pki/base/java-tools/src/com/netscape/cmstools/OCSPClient.java
@@ -47,7 +47,6 @@ import com.netscape.cmsutil.ocsp.CertStatus;
 import com.netscape.cmsutil.ocsp.GoodInfo;
 import com.netscape.cmsutil.ocsp.OCSPRequest;
 import com.netscape.cmsutil.ocsp.OCSPResponse;
-import com.netscape.cmsutil.ocsp.OCSPResponseStatus;
 import com.netscape.cmsutil.ocsp.Request;
 import com.netscape.cmsutil.ocsp.ResponseBytes;
 import com.netscape.cmsutil.ocsp.ResponseData;
@@ -168,7 +167,6 @@ public class OCSPClient {
                         new FileInputStream(output));
         OCSPResponse resp = (OCSPResponse)
                 OCSPResponse.getTemplate().decode(fis);
-        OCSPResponseStatus status = resp.getResponseStatus();
         ResponseBytes bytes = resp.getResponseBytes();
         BasicOCSPResponse basic = (BasicOCSPResponse)
                 BasicOCSPResponse.getTemplate().decode(
diff --git a/pki/base/java-tools/src/com/netscape/cmstools/PKCS12Export.java b/pki/base/java-tools/src/com/netscape/cmstools/PKCS12Export.java
index 8be0b98dd28388b502851f723b045a69320fb8e8..9464516e46fec281dfe7421aaffab3bd6d600c98 100644
--- a/pki/base/java-tools/src/com/netscape/cmstools/PKCS12Export.java
+++ b/pki/base/java-tools/src/com/netscape/cmstools/PKCS12Export.java
@@ -198,7 +198,6 @@ public class PKCS12Export {
 
         String pwdfile = null;
         String dir = null;
-        String snickname = null;
         String pk12pwdfile = null;
         String pk12output = null;
         for (int i = 0; i < args.length; i++) {
@@ -207,7 +206,7 @@ public class PKCS12Export {
             } else if (args[i].equals("-p")) {
                 pwdfile = args[i + 1];
             } else if (args[i].equals("-s")) {
-                snickname = args[i + 1];
+                // snickname
             } else if (args[i].equals("-w")) {
                 pk12pwdfile = args[i + 1];
             } else if (args[i].equals("-o")) {
